Description

Search within series B2455 for a person using multiple fields

Details

A user conducts an advanced multiple field search for a Person record within series B2455.

Example

A user enters 'Thomson' for Family Name and 'Tamworth' for Place of Birth in the appropriate search fields.

Pre-requisites / Restrictions

Up to 2000 record item records matching the request will be returned. List of search results displayed on each page is limited to 100.

Request Information

Parameters

NameDescriptionAdditional information
search_post
PersonSearchPost object

Define this parameter in the request body.

app_id
Application ID

Define this parameter in the request URI.

app_key
Application Key

Define this parameter in the request URI.

Request body - PersonSearchPost

application/json, text/json

Sample:
{
  "page": 1,
  "rows": 2,
  "query_fields": {
    "keyword": "sample string 1",
    "first_name": "sample string 2",
    "last_name": "sample string 3",
    "service_number": "sample string 4",
    "place_of_birth": "sample string 5",
    "place_of_enlistment": "sample string 6"
  },
  "filter_by_fields": {
    "place_of_birth": {
      "locality": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "state": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "country": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ]
    },
    "place_of_enlistment": {
      "locality": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "state": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "country": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ]
    }
  }
}

Response Information

Response body - PersonSearchResponse

application/json, text/json

Sample:
{
  "ResultSet": [
    {
      "person_id": 1,
      "name": "sample string 2",
      "first_name": "sample string 3",
      "family_name": "sample string 4",
      "alias_names": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "service_numbers": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_birth": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_enlistment": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ]
    },
    {
      "person_id": 1,
      "name": "sample string 2",
      "first_name": "sample string 3",
      "family_name": "sample string 4",
      "alias_names": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "service_numbers": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_birth": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_enlistment": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ]
    },
    {
      "person_id": 1,
      "name": "sample string 2",
      "first_name": "sample string 3",
      "family_name": "sample string 4",
      "alias_names": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "service_numbers": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_birth": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ],
      "place_of_enlistment": [
        "sample string 1",
        "sample string 2",
        "sample string 3"
      ]
    }
  ],
  "result_count": 1
}

Response Status Codes

CodeNameAdditional information
201
Created

Data was successfully created or stored

400
BadRequest

Request information is not valid

401
Unauthorized

Authorisation has failed

404
NotFound

Related or dependant data was not found

413
RequestEntityTooLarge

Content greater than 5MB

500
InternalServerError

An error has occurred on the server